# Блокчейны

Блокчейн - это цепочка блоков, в котором хеш предыдущего блока наследуется следующим.
Это список их разных вариаций и подхода к ним

## База
- [Learn RoboSats](https://learn.robosats.com/)
- [Кто контролирует Bitcoin Core?](https://www.21ideas.org/theory-protocol-who-controls-bitcoin-core/)
- [ГЕНЕЗИС-ФАЙЛЫ. ЧАСТЬ I: ECASH ДЭВИДА ЧАУМА И ЗАРОЖДЕНИЕ МЕЧТЫ ШИФРОПАНКОВ](https://www.21ideas.org/theory-hyperbitcoinization-genesis-files-1-david-chaum/)
- [Зачем нужны лаунчпады криптостартапам и как они работают? — Крипто на vc.ru](https://vc.ru/crypto/490927-zachem-nuzhny-launchpady-kriptostartapam-i-kak-oni-rabotayut)
- [Консенсус в распределенных системах. Paxos / Хабр](https://habr.com/ru/post/222825/)
- [Что такое слои блокчейна L0, L1, L2 и L3 и зачем они нужны | geekr.](https://habr.com/ru/post/688076)
- [CS 251: Cryptocurrencies and Blockchain Technologies](https://cs251.stanford.edu/)
- [Алгоритмы консенсуса — их уже более 65 видов](https://koshelek.ru/academy/algoritmy-konsensusa)
- [Под капотом Everscale: виртуальная машина как основа асинхронного блокчейна / Хабр](https://habr.com/ru/articles/749404/)
- [Как на самом деле должен работать масштабируемый блокчейн? / Хабр](https://habr.com/ru/articles/743196/)

- [Whiteboard Crypto на русском - Invidious](https://invidious.snopyta.org/channel/UC3UwyLetjgocg7376SH1twg)

- [The Architecture of a Web 3.0 application](https://www.preethikasireddy.com/post/the-architecture-of-a-web-3-0-application)
 - [Архитектура приложений Web 3.0 | geekr.](https://geekr.vercel.app/post/689046)

- [Книга «Новые финансы: блокчейн, DeFi, Web3 и криптовалюты» / Хабр](https://habr.com/ru/articles/782420/)
- [Распределенные сети (Distributed networks) и децентрализованные приложения (decentralized applications). Краткий разбор / Хабр](https://habr.com/ru/articles/782714/)

## СМИ о криптовалюте
- [США объявили войну крипто-анонимности: как санкции на Tornado Cash меняют будущее блокчейна — Будущее на vc.ru](https://vc.ru/future/483373-ssha-obyavili-voynu-kripto-anonimnosti-kak-sankcii-na-tornado-cash-menyayut-budushchee-blokcheyna)
- [Почему ЕС физически не может ввести полный запрет на криптовалюту для россиян — Финансы на vc.ru](https://vc.ru/finance/514957-pochemu-es-fizicheski-ne-mozhet-vvesti-polnyy-zapret-na-kriptovalyutu-dlya-rossiyan)
- [Перспективы регулирования криптовалютного рынка — Крипто на vc.ru](https://vc.ru/crypto/549684-perspektivy-regulirovaniya-kriptovalyutnogo-rynka)

- [Bloomberg - Are you a robot?](https://www.bloomberg.com/features/2022-the-crypto-story/)
  - [Bloomberg про прошлое, настоящее и будущее блокчейна: пытаемся найти смысл в крипте — Финансы на vc.ru](https://vc.ru/finance/533078-bloomberg-pro-proshloe-nastoyashchee-i-budushchee-blokcheyna-pytaemsya-nayti-smysl-v-kripte)
- [Having a safe CEX: proof of solvency and beyond](https://vitalik.ca/general/2022/11/19/proof_of_solvency.html)

## Храните криптовалюту в правильном месте
- [Enkrypt: Ethereum, Polkadot and Bitcoin Wallet](https://www.enkrypt.com/#overview)
    - [GitHub - enkryptcom/enKrypt: Monorepo to include everything related to Enkrypt extension](https://github.com/enkryptcom/enKrypt)
- [Coin Wallet — non-custodial multicurrency wallet | Coin Wallet](https://coin.space/)
- [GitHub - floating/frame: System-wide Web3 for macOS, Windows and Linux](https://github.com/floating/frame)
- [GitHub - cypherstack/stack_wallet: Stack Wallet, a multicoin, cryptocurrency wallet](https://github.com/cypherstack/stack_wallet)
- [AirGap - Self custody made simple and secure for all your crypto assets](https://airgap.it/)


- [Index - iancoleman](https://iancoleman.io/)
  - description: cryptocurrency secure web tools

## Майнинг

- [Алгоритм PoW. Что такое Proof-of-Work. Зачем нужны майнеры? // DEVPEW](https://devpew.com/blog/pow/)

- [GitHub - stratum-mining/stratum: stratum](https://github.com/stratum-mining/stratum)
    - [GitHub - stratum-mining/sv2-spec: Stratum V2 Specification](https://github.com/stratum-mining/sv2-spec)
    - description: протокол обьединяющий разные майнинг

### Майнеры
- [GitHub - xmrig/xmrig: RandomX, KawPow, CryptoNight and GhostRider unified CPU/GPU miner and RandomX benchmark](https://github.com/xmrig/xmrig)
    - chain: monero
    - programming lang: C,C++
    - license: GPL-3.0
    - status: profitable
- [GitHub - mbevand/silentarmy: Zcash miner optimized for AMD & Nvidia GPUs](https://github.com/mbevand/silentarmy)
    - chain: zcash
- [GitHub - EpicCash/epic-miner: A standalone mining implementation intended for mining epic against a running Epic node.](https://github.com/EpicCash/epic-miner)
    - chain: epic
    - programming lang: rust
- [GitHub - pooler/cpuminer: CPU miner for Litecoin and Bitcoin](https://github.com/pooler/cpuminer)
    - chain: litecoin and bitcoin
- [GitHub - luke-jr/bfgminer: Modular ASIC/FPGA miner written in C, featuring overclocking, monitoring, fan speed control and remote interface capabilities.](https://github.com/luke-jr/bfgminer)
- [GitHub - mbevand/silentarmy: Zcash miner optimized for AMD & Nvidia GPUs](https://github.com/mbevand/silentarmy)
- chain: zcash
- programming lang: C,Python
- status: deprecated
- [BzMiner - Advanced Crypto Miner](https://www.bzminer.com/)
- [GitHub - jtgrassie/xmr-wasm: A Monero WebAssembly based miner](https://github.com/jtgrassie/xmr-wasm)


- [ForkLog: статьи и новости биткоина, блокчейна, криптовалют](https://forklog.com/)
- [Protocol Labs](https://protocol.ai)

## [Home | Monero - secure, private, untraceable](https://www.getmonero.org/)

- [Monero Documentation - Monero Documentation](https://monerodocs.org/)

- [xmrchain.net monero explorer](https://xmrchain.net/)
- [GitHub - comit-network/xmr-btc-swap: Bitcoin–Monero Cross-chain Atomic Swap](https://github.com/comit-network/xmr-btc-swap)

### Mining Pools
  - [Home | Monerod XMR Mining Pool](https://monerod.org/)
  - [GitHub - SChernykh/p2pool: Decentralized pool for Monero mining](https://github.com/SChernykh/p2pool)

### Статьи
- [Почему Monero не обеспечивает анонимность / Хабр](https://habr.com/ru/companies/globalsign/articles/584366/)


## Bitcoin

- [BIPs (Bitcoin Improvement Proposals)](https://bips.xyz/)

- [BIP47, или гадкий утенок | 21ideas](https://21ideas.org/bip47-ili-gadkij-utenok)
- [BIP340 - Schnorr Signatures for secp256k1](https://bips.xyz/340)
 - основные цифровые подписи

- [Биткоин: цифровое золото или пиринговая наличность?](https://www.21ideas.org/theory-philosophy-digital-gold-or-ecash/)
- [Критики утверждают, что Биткоин представляет собой угрозу для окружающей среды. Они ошибаются.](https://www.21ideas.org/theory-bitcoin-is-not-harmful-for-the-environment/)
- [Книги](https://bitcoin-citadel.notion.site/5326bf9ba0f84f81bf4b2d6e0035f9f3)

- [GitHub - mempool/mempool: Explore the full Bitcoin ecosystem with mempool.space, or self-host your own instance with one-click installation on popular Raspberry Pi fullnode distros including Umbrel, Raspiblitz, Start9, and more!](https://github.com/mempool/mempool)
- [GitHub - btcpayserver/btcpayserver: Accept Bitcoin payments. Free, open-source & self-hosted, Bitcoin payment processor.](https://github.com/btcpayserver/btcpayserver)
  - programming lang: C#

- [GitHub - luke-jr/eloipool: Fast Python3 Bitcoin pool server](https://github.com/luke-jr/eloipool)

- [LNVPN - VPN provider with Lightning only payment](https://lnvpn.com/)
- [GitHub - lightningnetwork/lnd: Lightning Network Daemon ⚡️](https://github.com/lightningnetwork/lnd)
- [Lightning Labs Blog - The Official Blog of Lightning Labs](https://blog.lightning.engineering/announcement/2017/11/16/ln-swap.html)
- [Voltage | Lightning Node & Bitcoin Infrastructure](https://voltage.cloud/)
- [Introduction to Bitcoin Research · Chaincode Labs Research](https://research.chaincode.com/research-intro/)

- [Boltz](https://boltz.exchange/)

Преобразует bitcoin в ln или liguid и наооборот.
- [github: Boltz](https://github.com/BoltzExchange)
- langs: golang,JavaScript,Typescript
- license: BSL-1.1

- [BTCPay Server: топ-10 ошибок в коде финансового приложения для Bitcoin / Хабр](https://habr.com/ru/companies/pvs-studio/articles/735726/)
- [GitHub - lightningdevkit/rust-lightning: A highly modular Bitcoin Lightning library written in Rust. It's rust-lightning, not Rusty's Lightning!](https://github.com/lightningdevkit/rust-lightning)


### [Home | ethereum.org](https://ethereum.org/en/)
- [Ethereum (ETH) Explorer](https://blockscout.com/eth/mainnet/)
- [On Settlement Finality | Ethereum Foundation Blog](https://blog.ethereum.org/2016/05/09/on-settlement-finality)
- [The different types of ZK-EVMs](https://vitalik.ca/general/2022/08/04/zkevm.html)
- [An incomplete guide to stealth addresses](https://vitalik.ca/general/2023/01/20/stealth.html)
- [GitHub - flashbots/mev-boost-relay: MEV-Boost Relay for Ethereum proposer/builder separation (PBS)](https://github.com/flashbots/mev-boost-relay)

- [consensys: Introduction - Lighthouse Book](https://lighthouse-book.sigmaprime.io/)
  - [GitHub - sigp/lighthouse: Ethereum consensus client in Rust](https://github.com/sigp/lighthouse)
  - lang: rust
  - license: Apache-2.0


#### Implementations
- [GitHub - ledgerwatch/erigon: Ethereum implementation on the efficiency frontier](https://github.com/ledgerwatch/erigon)
  - programming lang: golang
  - license: LGPL-3.0

- [GitHub - paradigmxyz/reth: Modular, contributor-friendly and blazing-fast implementation of the Ethereum protocol, in Rust](https://github.com/paradigmxyz/reth)
  - programming lang: rust
  - license: Apache-2.0 or MIT


## L2
- [zkSync — Rely on math, not validators | zkSync — Rely on math, not validators](https://zksync.io/)
  - lang: rust

## Интересные EIPs

### [ERC-4337: Account Abstraction Using Alt Mempool](https://eips.ethereum.org/EIPS/eip-4337)
Кратко: Позволяет платить комиссии(gas) не только с помощью eth(эфира). Если данный ERC будет реализован, то комиссия будет в том же ERC-20 токене, в котором и переводится основная сумма.
На 2023, комиссия все еще платиться в эфире.

Так же статья, которая описывает:

На английском:
- [Account Abstraction: Past, Present, Future | MetaMask News](https://metamask.io/news/latest/account-abstraction-past-present-future/)

Перевод на русский:
- [Абстракция аккаунта: прошлое, настоящее, будущее  — Teletype](https://teletype.in/@menaskop/account-abstraction-menaskop)

### Проекты на нем
- [Digital Freedom now - Swarm](https://www.ethswarm.org/)
- [Home - Hyperledger FireFly Docs](https://hyperledger.github.io/firefly/)
  > is the first open source Supernode: a complete stack for enterprises to
  > build and scale secure Web3 applications.
  - [GitHub - hyperledger/firefly: Hyperledger FireFly is the first open source Supernode: a complete stack for enterprises to build and scale secure Web3 applications. The FireFly API for digital assets, data flows, and blockchain transactions makes it radically faster to build production-ready apps on popular chains and protocols.](https://github.com/hyperledger/firefly)
  - lang: go
  - licenses: Apache-2.0
- [Liquid Staking for Digital Tokens](https://lido.fi/)
- [Decentralised Ethereum Staking Protocol - Rocket Pool](https://rocketpool.net/)
  - [GitHub - rocket-pool/rocketpool: Decentralised Ethereum Liquid Staking Protocol.](https://github.com/rocket-pool/rocketpool)
  - programming lang: JavaScript, Solidity
  - license: GPL-3.0
- [Frax Cryptocurrency - The first fractional-reserve stablecoin](https://frax.finance/)
- [Orbiter](https://www.orbiter.finance/)

### В блогах пишут
- [Vitalik: Ethereum, Part 1](https://nav.al/vitalik)
- [Ethereum 2.0. Как прошёл переход на PoS. ETH всё ещё децентрализован? Никто больше не майнит Эфир | geekr.](https://geekr.vercel.app/post/688810)

## Смарт-контракты
- [GitHub - CosmosContracts/juno: Open Source Platform for Interoperable Smart Contracts](https://github.com/CosmosContracts/juno)
- [Agoric - Deploy Secure DeFi in JavaScript](https://agoric.com/)
- [Как устроен Ethereum и смарт-контракты :: Децентрализованная машина Тьюринга с гарантиями блокчейна :: Блог Вастрик.ру](https://vas3k.ru/blog/ethereum/)
- [Curve Finance - Invidious](https://redirect.invidious.io/channel/UCDOVQNM46zmimyI-MAogEpA)
- [Overview | ink! documentation](https://paritytech.github.io/ink-docs/)
- [Solidity by Example](https://solidity-by-example.org/)

- [GitHub - obscuren/mutan: Compiler & Language definition for the Ethereum project](https://github.com/obscuren/mutan)
  - status: archived

- [Foundry - A blazing fast toolkit for Ethereum application development](https://getfoundry.sh/)
  - description: is a portable and modular toolkit for Ethereum application
  - [Introduction - Foundry Book](https://book.getfoundry.sh/)
  - [GitHub - foundry-rs/foundry: Foundry is a blazing fast, portable and modular toolkit for Ethereum application development written in Rust.](https://github.com/foundry-rs/foundry)
  - lang: rust
  - licenses: Apache-2.0 or MIT
- [Fe - A next generation, statically typed, future-proof smart contract language for the Ethereum Virtual Machine](https://fe-lang.org/)
  - description: The next generation smart contract language for Ethereum
  - [GitHub - ethereum/fe: Emerging smart contract language for the Ethereum blockchain.](https://github.com/ethereum/fe)
  - lang: rust
  - license: Apache-2.0
- [Solang Solidity Compiler — Solang Solidity Compiler v0.1.11-3-g33429c5 documentation](https://solang.readthedocs.io/en/latest/)
  - [GitHub - hyperledger-labs/solang: Solidity Compiler for Solana, Substrate, and ewasm](https://github.com/hyperledger-labs/solang)
  - license: Apache-2.0
  - lang: rust
- [Warp SmartContracts](https://warp.cc/#about)
    - [warp-wasm-templates/go at main · warp-contracts/warp-wasm-templates · GitHub](https://github.com/warp-contracts/warp-wasm-templates/tree/main/go)

- [Aave · GitHub](https://github.com/aave)
Безопасные кредиты

- [GitHub - nishuzumi/pow-erc20: A minter for PowerERC20 by rust](https://github.com/nishuzumi/pow-erc20)

### Wallets
- [GitHub - AmbireTech/wallet: Ambire Wallet: A full featured self-custodial DeFi wallet superapp focused on UX using account abstraction](https://github.com/AmbireTech/wallet)
- [OneKey Wallet | Open source crypto wallet trusted by millions.](https://onekey.so/)
- [GitHub - rainbow-me/rainbow: 🌈‒ the Ethereum wallet that lives in your pocket](https://github.com/rainbow-me/rainbow)
- [GitHub - floating/frame: System-wide Web3 for macOS, Windows and Linux](https://github.com/floating/frame)
- [GitHub - tahowallet/extension: Taho, the community owned and operated Web3 wallet.](https://github.com/tahowallet/extension/)

### DAOs
- [dOrg | Full stack Web3 development collective](https://www.dorg.tech/)
- [GitHub - snapshot-labs/snapshot: Interface for Snapshot. Join us on Discord http://discord.snapshot.org](https://github.com/snapshot-labs/snapshot)
- [Untitled](https://docs.rocketpool.net/guides/odao/overview)

## Cosmos
- [Коротко о Tendermint и Cosmos Network · Home on Rails](https://www.homeonrails.com/2019/04/on-tendermint-and-cosmos-ru/)
- [ibc.fun | Interchain transfers and swaps on any Cosmos chain](https://ibc.fun/)
  - [GitHub - skip-mev/ibc-dot-fun](https://github.com/skip-mev/ibc-dot-fun)
  - programming lang: TypeScript
- [Stride | Multichain Liquid Staking](https://app.stride.zone/)
 - description: позволяет класть на депозит(stake) в cosmos сетях
 - [GitHub - Stride-Labs/stride: Stride: Multichain Liquid Staking](https://github.com/Stride-Labs/stride)
 - programming lang: go
 - license: Apache-2.0

- [Ping Dashboard - Cosmos Blockchain Explorer And Web Wallet](https://ping.pub/)
  - [GitHub - ping-pub/explorer: A light explorer for Cosmos-based Blockchains.](https://github.com/ping-pub/explorer)
  - license: GPL-3.0
  - programming lang: Vue, TypeScript
- [Neutron - The Integrated Application Network](https://www.neutron.org/)

## Другие интересные проекты
- [Welcome | Mina Documentation](https://docs.minaprotocol.com/)
- [Пара слов о Solana и ed25519 | geekr.](https://geekr.vercel.app/post/595617)
- [GitHub - freenet/locutus: Declare your digital independence](https://github.com/freenet/locutus)
  - lang: rust
  - licenses: Apache-2.0,MIT
- [GitHub - numbersprotocol/nit](https://github.com/numbersprotocol/nit)
  > git for web3 digital asset and helps user to commit an asset's activities
  > (chronicle) to blockchain.
  - programming lang: typescript
  - license: MIT
- [Iron Fish - Private, anonymous, and easy to use cryptocurrency](https://ironfish.network/)
- [Что такое Chia (XCH): обзор «зеленого биткоина» и проблем проекта](https://ru.beincrypto.com/learn/chto-takoe-chia-xch/)
- [Basic Attention Token](https://basicattentiontoken.org/)
  - description: a token for ad system in brave
- [Home | IOTA](https://www.iota.org/)
  - description: is a distributed ledger based on the Tangle. It allows for feeless value transfers and data integrity proofs.
  - [IOTA](https://github.com/iotaledger)
  - license: Apache-2.0
  - langs: rust, typescript,svelte,go,C
- [Welcome to Sia! - Sia Docs](https://docs.sia.tech/)

- [Banana split](https://bs.parity.io/#/)
  - [paritytech/banana_split: Shamir's Secret Sharing for people with friends](https://github.com/paritytech/banana_split)
  - lang: typescript
  - license: GPL-3.0
- [Decentralized Web3 Infrastructure and RPC Access | Pocket Network](https://www.pokt.network/)
- [Обзор проекта Arweave — Крипто на vc.ru](https://vc.ru/crypto/569674-obzor-proekta-arweave)
- [Layerswap](https://www.layerswap.io/app)
  - description: Позволяет менять токены на бирже, на токены сети
  - [GitHub - layerswap/layerswapapp](https://github.com/layerswap/layerswapapp)
  - programming lang: TypeScript
- [Bacalhau Compute over Data](https://www.bacalhau.org/)  
- [Home | celestia.org](https://celestia.org/)
- [Akash Network - Decentralized Computing Marketplace](https://akash.network/)
  - [Akash Network · GitHub](https://github.com/akash-network)
  - programming lang: Go
  - [GitHub - cloud-j-luna/terraform-provider-akash: An Akash Terraform provider to abstract the Akash Ecossytem.](https://github.com/cloud-j-luna/terraform-provider-akash)
- [gitopia-web](https://gitopia.com/gitopia/gitopia-web)
- [Hardware signer and key storage Kampela: Milestones 5&6 | Polkassembly](https://polkadot.polkassembly.io/motion/392)
- [Kampela](https://www.kampe.la/)

## Внимание BULLSHIT!
- [Canto.io - Layer-1 Blockchain](https://canto.io/)
- [DFINITY Foundation | Internet Computer](https://dfinity.org/)
  - [dfinity/ic: Internet Computer blockchain source: the client/replica software run by nodes](https://github.com/dfinity/ic)
  - lang: rust
  - license: Apache-2,IC-1
### [A decentralized storage network for humanity's most important information | Filecoin](https://filecoin.io/)
- [implementation: GitHub - filecoin-project/lotus: Implementation of the Filecoin protocol, written in Go](https://github.com/filecoin-project/lotus)
- [Filecoin Reputation System](https://filrep.io/)
- [GitHub - ChainSafe/forest: 🌲 Rust Filecoin Node Implementation](https://github.com/ChainSafe/forest)
- [Filecoin virtual machine - Filecoin Docs](https://docs.filecoin.io/developers/smart-contracts/filecoin-virtual-machine/)
  - lang: rust
  - license: Apache-2.0
- [Home | Filecoin Spec](https://spec.filecoin.io/)

- [Blockchain Infrastructure for the Decentralised Web | Parity Technologies](https://www.parity.io/)
  - [Home | Substrate\_](https://substrate.io/)
  - langs: rust, typescript
  - license: Apache-2.0
- [Homepage | Empowered by Security from the Origin. Redefine Values in Web 3.0 | Starcoin](https://starcoin.org/en/)
  - lang: rust
- [Home | Firo - Privacy-preserving cryptocurrency](https://www.firo.org/index.html)
   description: хотя этот проект может и нет
- [Home - Kaspa](https://kaspa.org/)
- [The best way to build cross-chain](https://wormhole.com/)
- [Privacy-protecting digital currency | Zcash](https://z.cash/)
    - [Zebra - The Zebra Book](https://zebra.zfnd.org/index.html)



## Цифровые деньги
- [Ответы про цифровой рубль / Хабр](https://habr.com/ru/news/730312/)

## Здесь можно заработать, инвестируя только свое время и силы
- [NostrBounties: complete tasks and get paid with Bitcoin ₿](https://nostrbounties.com/)
- [8 Freelance Websites that Pay in Bitcoin](https://www.webemployed.com/freelance-websites-pay-bitcoin/)

## А где можно потратить?
- [Moon - Shop Online with Cryptocurrency](https://paywithmoon.com/)
- [Njalla — Worlds most notorious privacy provider for domains, VPS' and VPNs.](https://njal.la/)
- [SSD VPS Servers, Cloud Servers and Cloud Hosting - Vultr.com](https://www.vultr.com/)

## Другие списки
- [GitHub - yjjnls/awesome-blockchain: ⚡️Curated list of resources for the development and applications of blockchain.](https://github.com/yjjnls/awesome-blockchain)

